Index: src/webapp/fluid-components/html/templates/UIOptions.html
===================================================================
--- src/webapp/fluid-components/html/templates/UIOptions.html	(revision 6275)
+++ src/webapp/fluid-components/html/templates/UIOptions.html	(working copy)
@@ -1,6 +1,6 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 
-<html xmlns="http://www.w3.org/1999/xhtml" class="fl-theme-mist">
+<html xmlns="http://www.w3.org/1999/xhtml" class="fl-fix fl-theme-mist">
     <head>
         <meta name="generator" content="HTML Tidy, see www.w3.org" />
         <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
@@ -39,9 +39,9 @@
                     <fieldset class="color-control">
                         <legend>Colors</legend>
                         <ol>
-                            <li id="fl-theme-hc"><label><input type="radio" name="color" value="High Contrast" />High Contrast color scheme <a href="#">sample link</a></label></li>
-                            <li id="fl-theme-mist"><label><input type="radio" name="color" value="Mist" checked="checked" />Mist color scheme <a href="#">sample link</a></label></li>
-                            <li id="fl-theme-rust"><label><input type="radio" name="color" value="Rust" />Rust color scheme <a href="#">sample link</a></label></li>
+                            <li id="fl-theme-hc"><input type="radio" name="color" value="High Contrast" id="colors_hc"/><label for="colors_hc">High Contrast color scheme <a href="#">sample link</a></label></li>
+                            <li id="fl-theme-mist"><input type="radio" name="color" value="Mist" checked="checked" id="colors_m"/><label for="colors_m">Mist color scheme <a href="#">sample link</a></label></li>
+                            <li id="fl-theme-rust"><input type="radio" name="color" value="Rust" id="colors_r"/><label for="colors_r">Rust color scheme <a href="#">sample link</a></label></li>
                         </ol>
                     </fieldset>
                 </div>
@@ -49,8 +49,8 @@
                     <fieldset class="layout-control">
                         <legend>Layout</legend>
                         <ol>
-                            <li><label><input type="radio" name="layout" value="Default" checked="checked" />No Preference</label></li>
-                            <li><label><input type="radio" name="layout" value="Simple" />Simple </label></li>
+                            <li><input type="radio" name="layout" value="Default" checked="checked" id="lay_d"/><label for="lay_d">No Preference</label></li>
+                            <li><input type="radio" name="layout" value="Simple" id="lay_s" id="lay_s"/><label for="lay_s">Simple </label></li>
                         </ol>
                     </fieldset>
                 </div>
@@ -58,11 +58,11 @@
                     <fieldset class="font-control fl-container-flex30 fl-force-left">
                         <legend>Font Family</legend>
                         <ol>
-                            <li><label><input type="radio" name="font" value="Default" checked="checked" />No Preference</label></li>
-                            <li id="fl-font-arial"><label><input type="radio" name="font" value="Arial" />Arial</label></li>
-                            <li id="fl-font-verdana"><label><input type="radio" name="font" value="Verdana" />Verdana</label></li>
-                            <li id="fl-font-courier"><label><input type="radio" name="font" value="Courier" />Courier</label></li>
-                            <li id="fl-font-times"><label><input type="radio" name="font" value="Times" />Times</label></li>
+                            <li><input type="radio" name="font" value="Default" checked="checked" id="fon_d"/><label for="fon_d">No Preference</label></li>
+                            <li id="fl-font-arial"><input type="radio" name="font" value="Arial" id="fon_a"/><label for="fon_a">Arial</label></li>
+                            <li id="fl-font-verdana"><input type="radio" name="font" value="Verdana" id="fon_v"/><label for="fon_v">Verdana</label></li>
+                            <li id="fl-font-courier"><input type="radio" name="font" value="Courier" id="fon_c"/><label for="fon_c">Courier</label></li>
+                            <li id="fl-font-times"><input type="radio" name="font" value="Times" id="fon_t"/><label for="fon_t">Times</label></li>
                         </ol>
                     </fieldset>
 
@@ -70,25 +70,25 @@
                     <fieldset class="textsize-control fl-container-flex30 fl-force-left">
                         <legend>Font Size</legend>
                         <ol>
-                            <li><label><input type="radio" name="textsize" value="-3"/>-3</label></li>
-                            <li><label><input type="radio" name="textsize" value="-2"/>-2</label></li>
-                            <li><label><input type="radio" name="textsize" value="-1" />-1</label></li>
-                            <li><label><input type="radio" name="textsize" value="0" checked="checked" />No Preference</label></li>
-                            <li><label><input type="radio" name="textsize" value="+1" />+1</label></li>
-                            <li><label><input type="radio" name="textsize" value="+2" />+2</label></li>
-                            <li><label><input type="radio" name="textsize" value="+3" />+3</label></li>
-                            <li><label><input type="radio" name="textsize" value="+4" />+4</label></li>
-                            <li><label><input type="radio" name="textsize" value="+5" />+5</label></li>
+                            <li><input type="radio" name="textsize" value="-3" id="ts_m3"/><label for="ts_m3">-3</label></li>
+                            <li><input type="radio" name="textsize" value="-2" id="ts_m2"/><label for="ts_m2">-2</label></li>
+                            <li><input type="radio" name="textsize" value="-1" id="ts_m1"/><label for="ts_m1">-1</label></li>
+                            <li><input type="radio" name="textsize" value="0" checked="checked" id="ts_d"/><label for="ts_d">No Preference</label></li>
+                            <li><input type="radio" name="textsize" value="+1" id="ts_p1"/><label for="ts_p1">+1</label></li>
+                            <li><input type="radio" name="textsize" value="+2" id="ts_p2"/><label for="ts_p2">+2</label></li>
+                            <li><input type="radio" name="textsize" value="+3" id="ts_p3"/><label for="ts_p3">+3</label></li>
+                            <li><input type="radio" name="textsize" value="+4" id="ts_p4"/><label for="ts_p4">+4</label></li>
+                            <li><input type="radio" name="textsize" value="+5" id="ts_p5"/><label for="ts_p5">+5</label></li>
                         </ol>
                     </fieldset>
 
                     <fieldset class="textspace-control fl-container-flex30 fl-force-left">
                         <legend>Font Spacing</legend>
                         <ol>
-                            <li><label><input type="radio" name="textspace" value="Default" checked="checked" />No Preference</label></li>
-                            <li><label><input type="radio" name="textspace" value="Wide" />Wide</label></li>
-                            <li><label><input type="radio" name="textspace" value="Wider" />Wider</label></li>
-                            <li><label><input type="radio" name="textspace" value="Widest" />Widest</label></li>
+                            <li><input type="radio" name="textspace" value="Default" checked="checked" id="fs_d"/><label for="fs_d">No Preference</label></li>
+                            <li><input type="radio" name="textspace" value="Wide" id="fs_wd"/><label for="fs_wd">Wide</label></li>
+                            <li><input type="radio" name="textspace" value="Wider" id="fs_wdr"/><label for="fs_wdr">Wider</label></li>
+                            <li><input type="radio" name="textspace" value="Widest" id="fs_wds"/><label for="fs_wds">Widest</label></li>
                         </li>                
                     </fieldset>
                 </div>
